@import "vendor/slick";
@import "2020base";

h1,h2,h3,h4,h5,h6 {
  font-weight: 400;
}

h1, .h1{
  font-size: 60px;
  line-height: 64px;
}
@media all and (max-width: $screen-sm-min) {
  h1, .h1{
    font-size: 36px;
    line-height: 44px;
  }
  

  .btn.cta-btn{
    margin-top: 0;
    margin-bottom: 0.5em;
  }
}

.container,
.container-fluid{
  position: relative;
  display: flow-root;
}

////////////////////////////////
///////////* INTRO *////////////
////////////////////////////////

#intro a:not(.btn) {
  color: #000000;
}

.intro-organization-logo {
  height: 19px;
  margin: 0px 20px 20px 0px;

  &:last-of-type{
    margin-right: 0;
  }
}


.u-margin-bottom-0 {
  margin-bottom: 0;
}

// sdlc include
.sdlc-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;

  .future-categories {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    @media all and (max-width: $screen-lg-min) {
      margin-top: 0;
      align-items: flex-start;
      text-align: left;
    }

  }

  .future-categories, .current-categories {
    width: 100%;
  }

  .year-established {
    margin-top: auto;
    margin-bottom: 0;
    padding: 10px;
    padding-top: 20px;
    width: 100%;

    p {
      margin: 0;
      margin-bottom: 6px;
    }

    a {
      font-size: 16px;
      padding: 10px;
      width: 100%;
      margin: 0;
      min-width: 0;
    }
  
  }

  .stage-strategy {
    min-height: 115px;
  }

  .table-container {
    position: relative;
    margin-left: 80px;
    width: 100%;

    @media all and (max-width: $screen-lg-min) {
      margin-left: 0;
    }

  }

  .devops-tools-wrapper {
    height: 90px;
    flex-shrink: 0;
    width: 100%;

    .devops-tools-container {
      position: relative;
      width: 100%;
      height: 100%;
    }

    .replace-text {
      display: none;
      width: 100%;

      @media all and (max-width: $screen-lg-min) {
        display: block;
        text-align: left;
        padding: 20px;
      }

    }

    @media all and (max-width: $screen-lg-min) {
      display: flex;
    }

  }

  .table-label {
    position: absolute;
    right: calc(100% + 20px);
    text-align: right;
    color: $color-gray;
    font-size: 15px;

    @media all and (max-width: $screen-lg-min) {
      display: none;
    }

  }

  .single-application-label {
    top: 208px;
  }

  .separate-application-label {
    bottom: 0px;
  }

  .sdlc-image {
    display: none;
  }

  .sdlc-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 800px;
    margin-bottom: 50px;

    .title-link {
      color: $color-primary-alt;
      text-decoration: none;

      &:hover {
        text-decoration: none;
        opacity: .6;
      }

    }

  }

  

  // SDLC table on homepage
  .sdlc-table {
    display: flex;
    position: relative;
    width: 100%;
    border-radius: $border-radius-large;
    background: $color-white;
    box-shadow: $box-shadow;

    .sdlc-column {
      display: flex;
      flex-direction: column;
      width: 100%;
      position: relative;

      &:not(:last-child) {
        border-right: 1px solid $color-gray-extra-light;

        @media all and (max-width: $screen-lg-min) {
          border-right: 0;
        }

      }

      @media all and (max-width: $screen-lg-min) {
        width: calc(50% - 20px);
        margin: 10px;
        flex-shrink: 0;
        border-radius: $border-radius-large;
        background: $color-white;
        box-shadow: $box-shadow;
      }

      @media all and (max-width: $screen-sm-min) {
        width: 100%;
        margin: auto;
        margin-bottom: 20px;
        max-width: 500px;
      }

    }

    p {
      font-size: 15px;
    }

  //sass-lint:disable-all
  .devops-tool-logo-container {
    opacity: 0;
    position: absolute;
    left: 0;
    top: 0;
    background: $color-white;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    object-fit: contain;

    .devops-tool-logo {
      display: block;
      max-height: calc(100% - 40px);
      max-width: 80%;
      width: auto;
      height: auto;
    }

    .devops-tool-tooltip {
      display: none;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      position: absolute;
      bottom: 100%;
      transform: translateY(10px);
      font-size: 14px;
      text-align: center;
      pointer-events: none;
      transition: $transition-primary;

      .tooltip-text {
        padding: 4px 8px;
        margin: 0;
        border-radius: $border-radius-large;
        background: $color-black;
        color: $color-white;
      }

      .tooltip-carat {
        height: 0;
        border-top: 8px solid $color-black;
        border-bottom: 8px solid transparent;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
      }

    }

  }

  .devops-tool-logo-container:hover {

    .devops-tool-tooltip {
      display: flex;
    }

    .devops-tool-logo {
      transform: scale(1.1);
    }

  }

  .stage-container,
  .solutions-container {
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-bottom: 1px solid $color-gray-extra-light;

    svg {
      height: 44px;
      margin-bottom: 10px;
      fill: $color-primary;

      @media all and (max-width: $screen-lg-min) {
        margin-bottom: 0;
        margin-right: 10px;
        height: 34px;
      }

    }

    .gitlab-logo {
      margin-bottom: 20px;
      height: 44px;
      max-width: 100%;
    }

    .devops-tool-logo {
      // position: absolute;
      transition: $transition-primary;
      max-height: calc(80% - 20px);
      max-width: calc(80% - 20px);
    }

    @media all and (max-width: $screen-lg-min) {
      padding: 20px;
      align-items: flex-start;
      text-align: left;
    }

  }

  .logo-container {
    justify-content: center;
  }

  .stage-container {
    flex-shrink: 0;
    width: 100%;

    a {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    p {
      margin: 0;
      font-weight: 600;
      color: $color-primary;
    }

    @media all and (max-width: $screen-lg-min) {
      flex-direction: row;
      align-items: center;

      p {
        font-size: 26px;
      }

    }

  }
  
  .solutions-container {
    padding: 20px 6px;
    padding-bottom: 6px;
    text-align: center;
    justify-content: space-between;
    width: 100%;
    flex: 1;

    @media all and (max-width: $screen-lg-min) {
      padding: 20px;
      flex-direction: row;
      align-items: flex-start;
      text-align: left;
    }

  }

  &::after {
    content: "";
    background-size: contain;
    position: absolute;
    left: 0;
    bottom: 100px;
    height: calc(100% - 250px);
    width: 100%;
    pointer-events: none;
    opacity: .1;

    @media all and (max-width: $screen-lg-min) {
      opacity: 0;
    }

  }
  
  @media all and (max-width: $screen-lg-min) {
    flex-wrap: wrap;
    border-radius: 0;
    background: transparent;
    box-shadow: none;
  }

  }
  
  @media all and (max-width: $screen-md-min) {
    padding: 50px 0;
  }
  
}
// Adjust Background Image on H3 for SDLC Section.
.sdlc-bg-image{
  background: url(/images/home/home-particles-2.svg);
  background-position: center 5%;
  background-repeat: no-repeat;
    @media (max-width: 1200px){
      background-position: center 2%;
    }
    @media (max-width: 987px){
      background-position: center 0.7%;
    }
    @media (max-width: 796px){
      background-position: center 0.4%;
    }
    @media (max-width: 395px){
      background-position: center 0.3%;
    }
}
// sass-lint:disable no-duplicate-properties
.grid-layout2 {
    grid: 1fr / 1fr 1fr;
  
    @media all and (max-width: $screen-sm-min) {
      grid: 1fr / 1fr;
    }
  
    iframe {
      max-height: 385px;
    }

}
  
// sass-lint:disable no-duplicate-properties
.grid-layout3 {
  grid: 1fr / 1fr 1fr 1fr;

  @media all and (max-width: $screen-lg-min) {
    grid: 1fr / 1fr 1fr;
  }

  @media all and (max-width: $screen-sm-min) {
    grid: 1fr / 1fr;
  }

  iframe {
    max-height: 325px;
  }

}
  
.grid-layout4 {
  grid: 1fr / 1fr 1fr 1fr 1fr;

  @media all and (max-width: $screen-lg-min) {
    grid: 1fr / 1fr 1fr;
  }

  @media all and (max-width: $screen-sm-min) {
    grid: 1fr / repeat(4, 250px);
  }

  iframe {
    max-height: 325px;
  }

}
  
// sass-lint:disable no-duplicate-properties
.grid-layout {
  display: inline-block;
  display: grid;
  grid-gap: 20px 50px;
  width: 100%;

  .grid-item {
    width: 100%;
    margin-bottom: 30px;
    float: left;
    align-items: flex-start;
  }

}

.tile-background-container {
  width: 100%;
  min-height: 180px;
  background-size: cover !important;
  background-position: center center;
  background-repeat: no-repeat;
  transition: $transition-primary;
}

// Adjust Background Image on H3 for Customer Benefits Section.
.tile-background-container-bg-image{
  background: url(/images/home/home-particles-1.svg);
  background-position: 30% 4%;
  background-repeat: no-repeat;
    @media (max-width: 987px){
      background-position: 30% 1%;
    }
    @media (max-width: 395px){
      background-position: 30% -5%;
    }
}

// sass-lint:disable-all
.tile-resource {
  width: 100%;
  display: flex;
  flex-direction: column;
  border-radius: 4px;
  box-shadow: 0px 30px 50px -30px rgba(0, 0, 0, 0.15);
  background: $color-white;
  overflow: hidden;
  text-decoration: none;

  .tile-date {
    color: $color-black;
    font-weight: 600;
    margin-bottom: 6px;
  }
  
  //sass-lint:disable-all
  .tile-background-container {
    width: 101%;
    min-height: 180px;
    background-size: cover !important;
    background-position: center center;
    background-repeat: no-repeat;
    transition: $transition-primary;
  }
  
  .tile-info {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 30px;
    z-index: 1;
    background: $color-white;

    .tile-link {
      margin-top: auto;
      margin-bottom: 0;
    }
  
    .tile-title {
      color: $color-black;
      font-size: 22px;
      margin-top: 0;
    }

    .tile-subtitle {
      color: $color-gray;
    }

    .tile-description {
      color: $color-black;
    }

    h3 {
      margin-top: 0;
    }

    i {
      font-size: 12px;
      margin-left: 4px;
    }

    @media all and (max-width: $screen-sm-min) {
      padding: 20px;
    }
  }
  
  &:hover {
    text-decoration: none;

    .tile-background-container {
      transform: scale(1.05);
    }

    .tile-title {
      color: $color-black;
      text-decoration: none;
    }

    .tile-link {
      text-decoration: underline;
    }

  }
  
  @media all and (max-width: $screen-md-min) {
    max-width: 100%;
  }

}
  
.tiles-container {
  display: flex;
  justify-content: center;

  .tile {
    width: 100%;

    &:not(:first-child) {
      margin-left: 30px;

      @media all and (max-width: $screen-md-min) {
        margin-left: 0;
        margin-top: 30px;
      }

    }

  }

  &:not(:first-child) {
    margin-top: 30px;
  }

  @media all and (max-width: $screen-md-min) {
    flex-direction: column;
  }

}
  
.tile {
  border-radius: $border-radius-large;
  background: $color-white;
  box-shadow: 0 2px 4px $color-transparent-alt;
  padding: 40px;

  &.tile-compact {
    padding: 25px;

    h4 {
      margin-top: 10px;
      margin-bottom: 20px;
    }

    ul {
      padding-left: 30px;
    }

  }

  &.tile-left-aligned {
    text-align: left;
  }

  .tile-icon-large {
    height: 80px;
    max-width: 100%;
    margin-bottom: 20px;
  }

  .tile-icon-medium {
    height: 50px;
    max-width: 100%;
    margin-bottom: 20px;
  }

  .tile-icon-small {
    height: 34px;
    max-width: 100%;
    margin-bottom: 20px;
  }

}

//footer
body .footer .container a{
  color: inherit;
  text-decoration: none;
}

//
// Modals
// --------------------------------------------------

// .modal-open      - body class for killing the scroll
// .modal           - container to scroll within
// .modal-dialog    - positioning shell for the actual modal
// .modal-content   - actual modal w/ bg and corners and shit

// Kill the scroll on the body
.modal-open {
  overflow: hidden;
}

// Container that the modal scrolls within
.modal {
  display: none;
  overflow: hidden;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: $zindex-modal;
  -webkit-overflow-scrolling: touch;

  // Prevent Chrome on Windows from adding a focus outline. For details, see
  // https://github.com/twbs/bootstrap/pull/10951.
  outline: 0;

}
.modal-open .modal {
  overflow-x: hidden;
  overflow-y: auto;
}

// Shell div to position the modal with bottom padding
.modal-dialog {
  position: relative;
  width: auto;
  margin: 10px;
}

// Actual modal
.modal-content {
  position: relative;
  background-color: $modal-content-bg;
  border: 1px solid $modal-content-fallback-border-color; //old browsers fallback (ie8 etc)
  border: 1px solid $modal-content-border-color;
  border-radius: $border-radius-large;
  box-shadow: 0 3px 9px rgba(0,0,0,.5);
  background-clip: padding-box;
  // Remove focus outline from opened modal
  outline: 0;
}

// Modal background
.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: $zindex-modal-background;
  background-color: $modal-backdrop-bg;
  // Fade for backdrop
  &.fade { opacity: 0; }
  &.in { opacity: 0.3; }
}

// Modal header
// Top section of the modal w/ title and dismiss
.modal-header {
  padding: $modal-title-padding;
  border-bottom: 1px solid $modal-header-border-color;
  opacity: 1;
}
// Close icon
.modal-header .close {
  margin-top: -2px;
}

// Title text within header
.modal-title {
  margin: 0;
  line-height: $modal-title-line-height;
}

// Modal body
// Where all modal content resides (sibling of .modal-header and .modal-footer)
.modal-body {
  position: relative;
  padding: $modal-inner-padding;
}

// Footer (for actions)
.modal-footer {
  padding: $modal-inner-padding;
  text-align: right; // right align buttons
  border-top: 1px solid $modal-footer-border-color;
  opacity: 1;// clear it in case folks use .pull-* classes on buttons

  // Properly space out buttons
  .btn + .btn {
    margin-left: 5px;
    margin-bottom: 0; // account for input[type="submit"] which gets the bottom margin like all other inputs
  }
  // but override that for button groups
  .btn-group .btn + .btn {
    margin-left: -1px;
  }
  // and override it for block buttons as well
  .btn-block + .btn-block {
    margin-left: 0;
  }
}

// Measure scrollbar width for padding body during modal show/hide
.modal-scrollbar-measure {
  position: absolute;
  top: -9999px;
  width: 50px;
  height: 50px;
  overflow: scroll;
}

// Scale up the modal
@media (min-width: $screen-sm-min) {
  // Automatically set modal's width for larger viewports
  .modal-dialog {
    width: $modal-md;
    margin: 80px auto;
  }
  .modal-content {
    box-shadow: 0 5px 15px rgba(0,0,0,.5);
  }

  // Modal sizes
  .modal-sm { width: $modal-sm; }
}

@media (min-width: $screen-md-min) {
  .modal-lg { width: $modal-lg; }
}

// TEMP - Fix CTA - Start Your Free Trial Button on Mobile Devices.
// Temporary 382px breakpoint is smaller than our $screen-sm-min.
.btn.cta-btn.orange-light{
  @media all and (max-width: 382px) {
    margin-bottom: 0.5rem;
  }
}

// TEMP - Fix Hero alignment.
@media (max-width: $screen-md) {
  .text-md-center{
    text-align: center;
  }
  .hero-content.flex-sm-column{
    display: flex;
    flex-direction: column;
    span{display: none;}
  }
}



/* CTA CONTACT */
.cmp-cta-contact h3 {
  position: relative;
}

.cmp-cta-contact h3:before {
  background: url("/images/enterprise/gitlab-enterprise-team-member-photos.png") no-repeat 0 0;
  background-size: 212px;
  content: "";
  display: block;
  font-size: 0;
  height: 91px;
  line-height: 0;
  margin: 0px auto 20px auto;
  width: 213px;
}

.cmp-cta-contact h3:after {
  background: url("/images/pricing/particles-contact.svg") no-repeat 0 0;
  content: "";
  display: inline-block;
  height: 47px;
  left: calc(50% - 43px);
  position: absolute;
  top: -47px;
  width: 86px;
}



////////////////////////////////
///////////* COMPLIANCE *////////////
////////////////////////////////
.compliance-badge-container {
  margin-top: 40px;
  margin-bottom: 100px;
}

.compliance-title {
  margin: 30px;
}

.compliance-badges-list {
  justify-content: center;
  display: flex;
  flex-wrap: wrap;
  z-index: 1;
  position: relative;

  .compliance-card {
    display: flex;
    text-align: center;
    flex-direction: column;
    padding: 20px 10px;;
    justify-content: flex-end;
    width: 160px;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    margin: 16px;
    background-color: #FFFFFF;

    &:hover {
      box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)
    }
  }
}

.compliance-card-title {
  margin-top: 12px;
}

.compliance-card-image {
  margin: 0 auto;

  img {
    max-height: 64px;
    vertical-align: middle;
  }

  .compliance-bitsight {
    margin-bottom: 12px;
  }
}

.compliance-subtext {
  max-width: 750px;
  margin: 4px auto 40px;
}

.grey-background {
  background-color: #F8F8F8;
  height: 200px;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 0;
}

@media all and (max-width: $screen-sm-min) {
  .grey-background {
    height: 240px;
  }
}
